Ooh, Veeam 9.5 is available. But vSphere 6.5 is not officially supported :/

Niels Kobschätzki @nielsk